LFR-FSW - Bug #3822

TM_LFR_KCOEFFICIENTS_DUMP : le champs PA_LFR_KCOEFF_PKT_NR est toujours a 1
29/03/2021 11:31 AM - bruno katra

Status: Closed Start date: 29/03/2021
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: ro

Description

Le lundi 29 mars 2021 a 10:25 +0200, Bruno KATRA a écrit :

Xavier a peut-étre trouvé un petit bug dans les entétes des paquets
KCOEFF_DUMP de LFR :

Les dumps KCOEFF étant trop grand, le FSW les fractionnent en 2
paquets :

- 1er paquet de 30 KCOEFF
- 2éme paquet de 6 KCOEFF

Il'y a dans les entétes un champs PA_LFR_KCOEFF_PKT_NR qui indique si
c'est le paquet 1 ou le paquet 2.

Or apparemment il est toujours a 1.

Bug identifié dans le code par Alexis, capture écran en PJ dans lissue

History

#1 - 17/09/2021 11:20 AM - Alexis Jeandet

- Status changed from New to Resolved

Fixed by https:/github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/7d6fd5¢62689237c3b1e1dc286¢1739c0c862d1c.

#2 - 20/01/2022 06:00 PM - bruno katra

- Status changed from Resolved to Closed

Résolu et testé OK en >=3.3.0.2
